version: "3.9"

volumes:
  coder_data:

networks:
  proxy:
    external: true
  db:

services:
  coder:
    image: "{{coder_container_image}}:{{coder_container_image_version}}"
    env_file:
      - "./coder.env"
    networks:
      - proxy
      - db
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    depends_on:
      db:
        condition: service_healthy

  db:
    image: "postgres:14.2"
    env_file:
      - "./postgres.env"
    networks:
      - db
    volumes:
      - coder_data:/var/lib/postgresql/data
    healthcheck:
      test:
        [
          "CMD-SHELL",
          "pg_isready -U ${POSTGRES_USER} -d ${POSTGRES_DB}",
        ]
      interval: 5s
      timeout: 5s
      retries: 5
